local L = LibStub("AceLocale-3.0"):GetLocale("Gladiminish", true)
local Gladiminish = Gladiminish
local self = Gladiminish

local defaultDB = {
	profile = {
		framePos = true, --true: left
		frameDist = 10,
		iconDist = 5,
		fontSize = 16
	}
}

local confTable = {
	name = L["Gladiminish"],
	handler = Gladiminish,
	type = 'group',
	args = {
		general = {
			name = L["General"],
			type = 'group',
			get = function(item) return Gladiminish.db.profile[item[#item]] end,
			set = function(item, value) Gladiminish.db.profile[item[#item]] = value; Gladiminish:UpdateiFrames() end,
			args = {
				frameDist = {
					name = L["Frame Distance"],
					desc = L["Distance between first icon and Gladius"],
					type = 'range',
					min = 0,
					max = 100,
					step = 1,
					order = 10,
				},
				
				iconDist = {
					name = L["Icon Distance"],
					desc = L["Distance between two icons"],
					type = 'range',
					min = 0,
					max = 50,
					step = 1,
					order = 20
				},

				fontSize = {
					name = L["Fontsize"],
					desc = L["Fontsize of diminishing return countdown"],
					type = 'range',
					min = 8,
					max = 24,
					step = 1,				
					order = 30
				}
			}
		}
	},
}

function Gladiminish:GetDefaultDB()
	return defaultDB
end

function Gladiminish:chatHandler(msg)
	Gladiminish:Print(msg)
end

function Gladiminish:SetupConfig()
	self.config = confTable
	self.config.args.profiles = LibStub("AceDBOptions-3.0"):GetOptionsTable(self.db)
	
	LibStub("AceConfig-3.0"):RegisterOptionsTable(L["Gladiminish"], self.config)
	LibStub("AceConfigDialog-3.0"):AddToBlizOptions(L["Gladiminish"], L["Gladiminish"])
	
	self:RegisterChatCommand("gladiminish", function() InterfaceOptionsFrame_OpenToCategory(L["Gladiminish"]) end)
	self:RegisterChatCommand("gdm", function() InterfaceOptionsFrame_OpenToCategory(L["Gladiminish"]) end)
end